%global momorel 1

Summary: project managment tool for the Gnome
Name: planner
Version: 0.14.3
Release: %{momorel}m%{?dist}
License: GPL or LGPL
Group: Applications/Engineering
URL: http://www.imendio.com/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.14/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch: planner-0.14.2.evolution.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: rarian
BuildPrereq: libgda-devel >= 1.2.3
BuildPrereq: glib2-devel >= 2.16.3
BuildPrereq: gtk2-devel >= 2.12.9
BuildPrereq: libgnomecanvas-devel >= 2.20.1.1
BuildPrereq: libgnomeui-devel >= 2.22.1
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: libgnomeprintui22-devel >= 2.18.2
BuildPrereq: gnome-vfs2-devel >= 2.22.0
BuildPrereq: GConf2-devel >= 2.22.0
BuildPrereq: libxml2-devel >= 2.6.32
BuildPrereq: libxslt-devel >= 1.1.23
BuildPrereq: pygtk2-devel >= 2.12.1
BuildPrereq: evolution-data-server-devel >= 2.22.1
BuildPrereq: evolution-devel >= 2.22.1

%description
Planner is a project managment tool for the Gnome desktop, for planning, 
scheduling and tracking projects. 

Planner was originally developed and maintained by the guys at Imendio, but
is now maintained by the Planner community.  We wish to extend our thanks 
to Imendio for all their hard work and dedication to this an many other 
open source projects.  For more information on Imendio, please visit 
http://www.imendio.com

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q
%patch -p1 -b .evolution

%build
intltoolize --copy --force
autoreconf -vfi
%configure \
    --disable-schemas-install \
    --enable-gtk-doc \
    --enable-database=yes \
    --enable-python \
    --enable-python-plugin \
    --enable-eds \
    --enable-simple-priority-scheduling \
    --disable-eds-backend \
    --disable-update-mimedb
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

# schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/planner.schemas > /dev/null

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

# update icon
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%postun
/sbin/ldconfig

# schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/planner.schemas > /dev/null

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

# update icon
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_sysconfdir}/gconf/schemas/planner.schemas
%{_bindir}/planner
%{_libdir}/libplanner-1.so.*
#%%{_libdir}/evolution/2.10/plugins/*
#%%{_libdir}/evolution-data-server-1.2/extensions/*
%{_libdir}/planner
%{_libdir}/python2.5/site-packages/*
%{_datadir}/applications/planner.desktop
%{_datadir}/doc/planner
%{_datadir}/gnome/help/planner
%{_datadir}/icons/hicolor/48x48/mimetypes/gnome-mime-application-x-planner.png
%{_datadir}/locale/*/*/*
%{_datadir}/man/man1/planner.1.*
%{_datadir}/mime/packages/planner.xml
%{_datadir}/omf/planner
%{_datadir}/pixmaps/gnome-planner.png
%{_datadir}/planner

%files devel
%defattr(-, root, root)
%{_includedir}/planner-1.0
%{_libdir}/libplanner-1.so
%{_libdir}/pkgconfig/libplanner-1.pc
%{_datadir}/gtk-doc/html/libplanner

%changelog
* Sat Apr 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.3-1m)
- update to 0.14.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14.2-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.2-5m)
- %%NoSource -> NoSource

* Mon Sep 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-4m)
- modify patch0 (for evolution-2.12.0)
- disable evolution

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-3m)
- add intltoolize (intltool-0.36.0)

* Wed Jul 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-2m)
- add -maxdepth 1 to del .la

* Sun May 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.2-1m)
- initial build

